Page MenuHomePhabricator

[RISCV] Remove Zvamo C intrinsics and builtins.
ClosedPublic

Authored by craig.topper on Oct 12 2021, 9:32 PM.

Details

Summary

Zvamo is not part of the 1.0 V spec. Remove it for now.

Diff Detail

Event Timeline

craig.topper created this revision.Oct 12 2021, 9:32 PM
craig.topper requested review of this revision.Oct 12 2021, 9:32 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 12 2021, 9:32 PM

My motivation was to reduce clang binary size by at least 50K and reduce our intrinsic count by 4% while we figure out ways to reduce the RISCV vector intrinsic load on clang.

I don't have a problem with deleting the code if there's a technical justification, just wanted to avoid churn if it was purely for "it's not ratified" reasons and we think it'll reappear in another form later

HsiangKai accepted this revision.Oct 18 2021, 7:15 PM

Zvamo is not a part of standard V extension in the current stage. I am fine to remove it in the implementation.

This revision is now accepted and ready to land.Oct 18 2021, 7:15 PM

Reduce scope since RISCVISAInfo landed. We need more changes to MC tests
if we we remove Zvamo from RISCVISAInfo.

This revision was landed with ongoing or failed builds.Oct 21 2021, 4:10 PM
This revision was automatically updated to reflect the committed changes.